Subject: Re: [PATCH] powerpc/mm/hash: Fix the reference bit update when handling hash fault

From: Michael Ellerman <[email-masked]>
Date: Tue, 07 Jun 2016 22:07:15 +1000

On Thu, 2016-06-02 at 08:12 -0700, Hugh Dickins wrote:
> On Tue, 31 May 2016, Hugh Dickins wrote:
> > 
> > But all my evidence so far is that it is now right: I'll continue
> > testing v4.6+fix on a couple of loads until this evening: all is
> > well so far.  And then switch to testing v4.5+fix on those loads
> > for another day and a half.
> 
> I'm glad to confirm: your patch to htab_convert_pte_flags() fixes all
> the elusive sigsegv issues I was seeing under load on v4.5 and v4.6.
> Thank you!

Thanks for all the testing Hugh, and sorry for the bug.

cheers